%define upstream_name    Pod-POM-Web
%define upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Full-text search for Pod::POM::Web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::GvaScript) >= 1.21.0
BuildRequires: perl(CPAN::Common::Index)
BuildRequires: perl(CPAN::Common::Index::Mux::Ordered)
BuildRequires: perl(Config)
BuildRequires: perl(Encode)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Metadata) >= 1.0.33
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Response)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util)
BuildRequires: perl(Pod::POM) >= 0.250.0
BuildRequires: perl(Pod::POM::View::HTML)
BuildRequires: perl(Search::Indexer) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Pod::POM::Web is a Web application for browsing the
documentation of Perl components installed on your local machine. Since
pages are dynamically generated, they are always in sync with code actually
installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
#make test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.270.0-2.mga9
+ Revision: 1830495
- Mageia 9 Mass Rebuild

* Mon Jul 05 2021 tv <tv> 1.270.0-1.mga9
+ Revision: 1734853
- update to 1.27

* Fri Feb 26 2021 tv <tv> 1.240.0-1.mga9
+ Revision: 1692082
- BR perl(Module::Build)
- update to 1.24

* Wed Feb 12 2020 umeabot <umeabot> 1.230.0-4.mga8
+ Revision: 1506048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.230.0-3.mga7
+ Revision: 1285742
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.230.0-2.mga7
+ Revision: 1166267
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.230.0-1.mga7
+ Revision: 1159475
- update to 1.23

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-5.mga6
+ Revision: 1032323
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-4.mga6
+ Revision: 946024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 744833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 686013
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 620727
- update to 1.20

* Sat Oct 19 2013 umeabot <umeabot> 1.190.0-2.mga4
+ Revision: 527229
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.190.0-1.mga4
+ Revision: 439788
- update to 1.19

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 371946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.180.0-1.mga3
+ Revision: 286437
- update to 1.18

* Wed Jun 15 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 107340
- update to 1.17

* Sat Jan 22 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 32346
- mageia rebuild
- imported package perl-Pod-POM-Web

